Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.schema
Class Table

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.schema.Table

All Implemented Interfaces:
  Comparable

public class Table
extends Object
implements Comparable

Represents a database table.

Constructor Summary
`Table(String name)`

Method Summary
`Column` | `addColumn(Column template)` Creates a new column based on `template`.
`Column` | `addColumn(String name)`
`Column` | `addColumn(String name, int type)`
`Object` | `clone()`
`int` | `compareTo(Object other)`
`Column[]` | `getColumns()`
`String` | `getName()`
`boolean` | `removeColumn(Column col)`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table(String name)

Method Detail

### getName

    public String getName()

### getColumns

    public Column[] getColumns()

### addColumn

    public Column addColumn(Column template)

  Creates a new column based on `template`. If a column with the same name as `template` is already associated with this column, returns that column and makes no changes to it.

### addColumn

    public Column addColumn(String name)

### addColumn

    public Column addColumn(String name,
                            int type)

### removeColumn

    public boolean removeColumn(Column col)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.